libwpd: WPXHeader Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXHeader Class Reference

`#include <WPXHeader.h>`

Inheritance diagram for WPXHeader:

List of all members.

## Public Member Functions
| WPXHeader (WPXInputStream *input, uint32_t documentOffset, uint8_t productType, uint8_t fileType, uint8_t majorVersion, uint8_t minorVersion, uint16_t documentEncryption)
virtual | ~WPXHeader ()
const uint32_t | getDocumentOffset () const
const uint8_t | getProductType () const
const uint8_t | getFileType () const
const uint8_t | getMajorVersion () const
const uint8_t | getMinorVersion () const
const uint16_t | getDocumentEncryption () const
## Static Public Member Functions
static WPXHeader * | constructHeader (WPXInputStream *input)
## Private Attributes
uint32_t | m_documentOffset
uint8_t | m_productType
uint8_t | m_fileType
uint8_t | m_majorVersion
uint8_t | m_minorVersion
uint16_t | m_documentEncryption

## Constructor & Destructor Documentation

WPXHeader::WPXHeader | ( | WPXInputStream * | input,
|  | uint32_t | documentOffset,
|  | uint8_t | productType,
|  | uint8_t | fileType,
|  | uint8_t | majorVersion,
|  | uint8_t | minorVersion,
|  | uint16_t | documentEncryption
| ) |

WPXHeader::~WPXHeader | ( |  | ) | `[virtual]`

## Member Function Documentation

WPXHeader * WPXHeader::constructHeader | ( | WPXInputStream * | input | ) | `[static]`

const uint16_t WPXHeader::getDocumentEncryption | ( |  | ) | const`[inline]`

const uint32_t WPXHeader::getDocumentOffset | ( |  | ) | const`[inline]`

const uint8_t WPXHeader::getFileType | ( |  | ) | const`[inline]`

const uint8_t WPXHeader::getMajorVersion | ( |  | ) | const`[inline]`

const uint8_t WPXHeader::getMinorVersion | ( |  | ) | const`[inline]`

const uint8_t WPXHeader::getProductType | ( |  | ) | const`[inline]`

## Member Data Documentation

uint16_t WPXHeader::m_documentEncryption`[private]`

uint32_t WPXHeader::m_documentOffset`[private]`

uint8_t WPXHeader::m_fileType`[private]`

uint8_t WPXHeader::m_majorVersion`[private]`

uint8_t WPXHeader::m_minorVersion`[private]`

uint8_t WPXHeader::m_productType`[private]`

The documentation for this class was generated from the following files:

- WPXHeader.h
- WPXHeader.cpp